import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { GsGeolocationCity } from '../model/gsGeolocationCity';
import { Configuration } from '../configuration';
export declare class MtcGsGeolocationControllerService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm(consumes);
    /**
     * getCityById
     *
     * @param idCity idCity
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    getCityByIdUsingGET(idCity: string, observe?: 'body', reportProgress?: boolean): Observable<GsGeolocationCity>;
    getCityByIdUsingGET(idCity: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<GsGeolocationCity>>;
    getCityByIdUsingGET(idCity: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<GsGeolocationCity>>;
    /**
     * searchCityByCountryAndName
     *
     * @param country country
     * @param cityName cityName
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    searchCityByCountryAndNameUsingGET(country: string, cityName: string, observe?: 'body', reportProgress?: boolean): Observable<Array<GsGeolocationCity>>;
    searchCityByCountryAndNameUsingGET(country: string, cityName: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<GsGeolocationCity>>>;
    searchCityByCountryAndNameUsingGET(country: string, cityName: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<GsGeolocationCity>>>;
}
