import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { Note } from '../model/note';
import { NoteCreation } from '../model/noteCreation';
import { Configuration } from '../configuration';
export declare class MtcNotesControllerService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm(consumes);
    /**
     * createNote
     *
     * @param owner owner
     * @param creationNote creationNote
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    createNoteUsingPOST(owner: string, creationNote: NoteCreation, observe?: 'body', reportProgress?: boolean): Observable<number>;
    createNoteUsingPOST(owner: string, creationNote: NoteCreation, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    createNoteUsingPOST(owner: string, creationNote: NoteCreation, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
    /**
     * searchNotesByOwner
     *
     * @param owner owner
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    searchNotesByOwnerUsingGET(owner: string, observe?: 'body', reportProgress?: boolean): Observable<Array<Note>>;
    searchNotesByOwnerUsingGET(owner: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<Note>>>;
    searchNotesByOwnerUsingGET(owner: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<Note>>>;
}
