/**
 * mtc-backoffice-api
 * MTC Backoffice Composite Api
 *
 * OpenAPI spec version: 0.1.0-SNAPSHOT
 * Contact: developers@greysystems.eu
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AgentBasic } from './agentBasic';
import { Amount } from './amount';
import { ExchangeRate } from './exchangeRate';
export interface ComposedTransferBasicInfo {
    agentInfo?: AgentBasic;
    beneficiaryName?: string;
    blockedStatus?: ComposedTransferBasicInfo.BlockedStatusEnum;
    channel?: ComposedTransferBasicInfo.ChannelEnum;
    customerRate?: ExchangeRate;
    deliveryMode?: ComposedTransferBasicInfo.DeliveryModeEnum;
    destinationCountry?: string;
    id?: number;
    idAgent?: number;
    operationDate?: Date;
    payerCode?: string;
    payerName?: string;
    receiveAmount?: Amount;
    senderName?: string;
    sentAmount?: Amount;
    totalAmountPaidByCustomer?: Amount;
    totalFees?: Amount;
    transactionCode?: string;
    transferStatus?: ComposedTransferBasicInfo.TransferStatusEnum;
    type?: ComposedTransferBasicInfo.TypeEnum;
    urn?: string;
    watchedStatus?: ComposedTransferBasicInfo.WatchedStatusEnum;
}
export declare namespace ComposedTransferBasicInfo {
    type BlockedStatusEnum = 'Blocked' | 'Unblocked';
    const BlockedStatusEnum: {
        Blocked: "Blocked" | "Unblocked";
        Unblocked: "Blocked" | "Unblocked";
    };
    type ChannelEnum = 'HomeTransfer' | 'Agent' | 'B2B';
    const ChannelEnum: {
        HomeTransfer: "HomeTransfer" | "Agent" | "B2B";
        Agent: "HomeTransfer" | "Agent" | "B2B";
        B2B: "HomeTransfer" | "Agent" | "B2B";
    };
    type DeliveryModeEnum = 'Cash' | 'BankAccount' | 'HomeDelivery' | 'FamilySupport' | 'MobilePayment' | 'BillPayment' | 'MutualContributionPayment' | 'PrepaidCard' | 'CashAnywhere' | 'PrepaidCardAcquisition';
    const DeliveryModeEnum: {
        Cash: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        BankAccount: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        HomeDelivery: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        FamilySupport: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        MobilePayment: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        BillPayment: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        MutualContributionPayment: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        PrepaidCard: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        CashAnywhere: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
        PrepaidCardAcquisition: "Cash" | "BankAccount" | "HomeDelivery" | "FamilySupport" | "MobilePayment" | "BillPayment" | "MutualContributionPayment" | "PrepaidCard" | "CashAnywhere" | "PrepaidCardAcquisition";
    };
    type TransferStatusEnum = 'Registered' | 'Cancelled' | 'CancelledImmediately' | 'Paid' | 'PaymentRollback';
    const TransferStatusEnum: {
        Registered: "Registered" | "Cancelled" | "CancelledImmediately" | "Paid" | "PaymentRollback";
        Cancelled: "Registered" | "Cancelled" | "CancelledImmediately" | "Paid" | "PaymentRollback";
        CancelledImmediately: "Registered" | "Cancelled" | "CancelledImmediately" | "Paid" | "PaymentRollback";
        Paid: "Registered" | "Cancelled" | "CancelledImmediately" | "Paid" | "PaymentRollback";
        PaymentRollback: "Registered" | "Cancelled" | "CancelledImmediately" | "Paid" | "PaymentRollback";
    };
    type TypeEnum = 'Sending' | 'Receiving';
    const TypeEnum: {
        Sending: "Sending" | "Receiving";
        Receiving: "Sending" | "Receiving";
    };
    type WatchedStatusEnum = 'Watched' | 'Unwatched';
    const WatchedStatusEnum: {
        Watched: "Watched" | "Unwatched";
        Unwatched: "Watched" | "Unwatched";
    };
}
