/**
 * mtc-backoffice-api
 * MTC Backoffice Composite Api
 *
 * OpenAPI spec version: 0.1.0-SNAPSHOT
 * Contact: developers@greysystems.eu
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AgentBasic } from './agentBasic';
import { FinancialData } from './financialData';
import { TransferCustomer } from './transferCustomer';
import { TransferDestination } from './transferDestination';
export interface FullTransferDetails {
    agentInfo?: AgentBasic;
    blockStatus?: FullTransferDetails.BlockStatusEnum;
    channel?: FullTransferDetails.ChannelEnum;
    customerLocal?: TransferCustomer;
    customerRemote?: TransferCustomer;
    deliveryMode?: FullTransferDetails.DeliveryModeEnum;
    financialData?: FinancialData;
    hasIncidents?: boolean;
    id?: number;
    idAgent?: number;
    idCustomerRelationship?: number;
    idLocalCustomer?: number;
    idPurposeOfSending?: number;
    idRemoteCustomer?: number;
    messageForBeneficiary?: string;
    operationDate?: Date;
    originOfFunds?: string;
    transactionCode?: string;
    transferDestination?: TransferDestination;
    transferStatus?: FullTransferDetails.TransferStatusEnum;
    type?: FullTransferDetails.TypeEnum;
    urn?: string;
    watchedStatus?: FullTransferDetails.WatchedStatusEnum;
}
export declare namespace FullTransferDetails {
    type BlockStatusEnum = 'Blocked' | 'Unblocked';
    const BlockStatusEnum: {
        Blocked: BlockStatusEnum;
        Unblocked: BlockStatusEnum;
    };
    type ChannelEnum = 'HomeTransfer' | 'Agent' | 'B2B';
    const ChannelEnum: {
        HomeTransfer: ChannelEnum;
        Agent: ChannelEnum;
        B2B: ChannelEnum;
    };
    type DeliveryModeEnum = 'Cash' | 'BankAccount' | 'HomeDelivery' | 'FamilySupport' | 'MobilePayment' | 'BillPayment' | 'MutualContributionPayment' | 'PrepaidCard' | 'CashAnywhere' | 'PrepaidCardAcquisition';
    const DeliveryModeEnum: {
        Cash: DeliveryModeEnum;
        BankAccount: DeliveryModeEnum;
        HomeDelivery: DeliveryModeEnum;
        FamilySupport: DeliveryModeEnum;
        MobilePayment: DeliveryModeEnum;
        BillPayment: DeliveryModeEnum;
        MutualContributionPayment: DeliveryModeEnum;
        PrepaidCard: DeliveryModeEnum;
        CashAnywhere: DeliveryModeEnum;
        PrepaidCardAcquisition: DeliveryModeEnum;
    };
    type TransferStatusEnum = 'Registered' | 'Cancelled' | 'CancelledImmediately' | 'Paid' | 'PaymentRollback';
    const TransferStatusEnum: {
        Registered: TransferStatusEnum;
        Cancelled: TransferStatusEnum;
        CancelledImmediately: TransferStatusEnum;
        Paid: TransferStatusEnum;
        PaymentRollback: TransferStatusEnum;
    };
    type TypeEnum = 'Sending' | 'Receiving';
    const TypeEnum: {
        Sending: TypeEnum;
        Receiving: TypeEnum;
    };
    type WatchedStatusEnum = 'Watched' | 'Unwatched';
    const WatchedStatusEnum: {
        Watched: "Watched" | "Unwatched";
        Unwatched: "Watched" | "Unwatched";
    };
}
